# Files that Git should ignore in the Emacs source directory.

# Copyright 2009-2023 Free Software Foundation, Inc.

# This file is part of GNU Emacs.

# GNU Emacs is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.


# Currently we assume only Git 1.7.1 (April 2010) or later, so this
# file does not rely on "**" in patterns.  The "**" feature was added
# in Git 1.8.2 (March 2013).


# Personal customization.
.dir-locals-2.el
.no-advice-on-failure

# Built by 'autogen.sh'.
/aclocal.m4
/configure
src/config.in

# Built by 'configure'.
Info.plist
InfoPlist.strings
Makefile
makefile
!etc/refcards/Makefile
!test/lisp/progmodes/flymake-resources/Makefile
!test/manual/etags/Makefile
!test/manual/etags/make-src/Makefile
!test/manual/indent/Makefile
/*.cache
/confdefs.h
/config.status
/configure.lineno
/conftest*
src/config.h
src/epaths.h
src/emacs-module.h

# Built by recursive call to `configure'.
*.android
!INSTALL.android
!verbose.mk.android

# Built by `javac'.
java/install_temp/*
java/*.apk*
java/*.dex
java/org/gnu/emacs/*.class

# Built by `aapt'.
java/org/gnu/emacs/R.java

# Built by `config.status'.
java/AndroidManifest.xml

# Stuff built during cross compilation
cross/lib/*
cross/src/*
cross/lib-src/*
cross/sys/*
cross/config.status
cross/*.bak
cross/etc/DOC

cross/ndk-build/Makefile
cross/ndk-build/ndk-build.mk
cross/ndk-build/*.o

# Lisp-level sources built by 'make'.
*cus-load.el
*loaddefs.el
lisp/cedet/semantic/bovine/c-by.el
lisp/cedet/semantic/bovine/make-by.el
lisp/cedet/semantic/bovine/scm-by.el
lisp/cedet/semantic/wisent/javat-wy.el
lisp/cedet/semantic/wisent/js-wy.el
lisp/cedet/semantic/wisent/python-wy.el
lisp/cedet/srecode/srt-wy.el
lisp/cedet/semantic/grammar-wy.el
lisp/eshell/esh-groups.el
lisp/finder-inf.el
lisp/leim/ja-dic/
leim/small-ja-dic-option
lisp/leim/leim-list.el
lisp/leim/quail/4Corner.el
lisp/leim/quail/ARRAY30.el
lisp/leim/quail/CCDOSPY.el
lisp/leim/quail/CTLau.el
lisp/leim/quail/CTLau-b5.el
lisp/leim/quail/ECDICT.el
lisp/leim/quail/ETZY.el
lisp/leim/quail/PY-b5.el
lisp/leim/quail/PY.el
lisp/leim/quail/Punct.el
lisp/leim/quail/Punct-b5.el
lisp/leim/quail/QJ.el
lisp/leim/quail/QJ-b5.el
lisp/leim/quail/SW.el
lisp/leim/quail/TONEPY.el
lisp/leim/quail/ZIRANMA.el
lisp/leim/quail/ZOZY.el
lisp/leim/quail/quick-b5.el
lisp/leim/quail/quick-cns.el
lisp/leim/quail/tsang-b5.el
lisp/leim/quail/tsang-cns.el
lisp/mh-e/mh-autoloads.el
lisp/subdirs.el

# Dependencies.
deps/

# Logs and temporaries.
*.log
*.tmp

# Time stamps.
*.stamp
stamp_BLD
src/gl-stamp

# Object files and debugging.
*.a
*.dSYM/
*.dll
*.core
*.elc
*.eln
*.o
*.res
*.so
*.dylib
core
core.*[0-9]
gmon.out
native-lisp/
oo/
oo-spd/
src/*.map
vgcore.*[0-9]

# Tests.
test/manual/biditest.txt
test/manual/etags/srclist
test/manual/etags/regexfile
test/manual/etags/ETAGS
test/manual/etags/CTAGS
test/manual/etags/CTAGS*.sorted
test/manual/indent/*.new
test/lisp/gnus/mml-sec-resources/random_seed
test/lisp/play/fortune-resources/fortunes.dat
test/**/*.xml

# ctags, etags.
TAGS
!admin/notes/tags

# GNU global.
GPATH
GSYMS
GRTAGS
GTAGS

# auto-generated compilation database
compile_commands.json

# ccls, a LSP-compliant server for C
/.ccls-cache

# GNU idutils.
ID

# Executables.
*.exe
a.out
lib-src/asset-directory-tool
lib-src/be-resources
lib-src/blessmail
lib-src/ctags
lib-src/ebrowse
lib-src/emacsclient
lib-src/etags
lib-src/hexl
lib-src/make-docfile
lib-src/make-fingerprint
lib-src/movemail
lib-src/profile
lib-src/seccomp-filter
lib-src/test-distrib
lib-src/update-game-score
nextstep/Cocoa/Emacs.base/Contents/Info.plist
nextstep/Cocoa/Emacs.base/Contents/Resources/English.lproj
nextstep/Emacs.app/
nextstep/GNUstep/Emacs.base/Resources/Emacs.desktop
nextstep/GNUstep/Emacs.base/Resources/Info-gnustep.plist
src/bootstrap-emacs
src/emacs
src/emacs-[0-9]*
src/sfnt
src/Emacs
src/temacs
src/dmpstruct.h
src/*.pdmp

# Character-set info.
admin/charsets/jisx2131-filter
admin/unidata/unidata.txt
etc/charsets/*.map
lisp/international/charprop.el
lisp/international/charscript.el
lisp/international/cp51932.el
lisp/international/emoji-zwj.el
lisp/international/emoji-labels.el
lisp/international/eucjp-ms.el
lisp/international/uni-*.el
lisp/international/idna-mapping.el
lisp/language/pinyin.el

# Documentation.
*.aux
*.cm
*.cms
*.cp
*.cps
*.doc
*.dvi
*.fn
*.fns
*.info
*.ky
*.kys
*.op
*.ops
*.pdf
!doc/lispintro/cons-*.pdf
!doc/lispintro/drawers.pdf
!doc/lispintro/lambda-*.pdf
!etc/refcards/gnus-logo.pdf
*.pg
*.pgs
*.pj
*.pjs
*.sc
*.scs
*.t2d/
*.tg
*.tgs
*.toc
*.tp
*.tps
*.vr
*.vrs
doc/*/*.html
doc/*/*/*.html
doc/*/*.ps
doc/*/*/*.ps
doc/emacs/emacsver.texi
doc/man/emacs.1
doc/misc/cc-mode.ss
doc/misc/modus-themes.texi
doc/misc/org.texi
etc/DOC
etc/refcards/emacsver.tex
gnustmp*
/info/

# Version control and locks.
*.orig
*.swp
.#*
\#*\#
ChangeLog
[0-9]*.patch
[0-9]*.txt
/vc-dwim-log-*

# Built by 'make install'.
etc/emacs.tmpdesktop

# Built by 'make-dist'.
/MANIFEST

# Distribution directories.
/emacs-[1-9]*/

# Microsoft-related builds and installations.
*.in-h
!m4/_*.m4
/bin/
/BIN/
/data/
etc/icons/
lib/SYS/
/libexec/
/lock/
/README.W32
/share/
/site-lisp/
nt/emacs.rc
nt/emacsclient.rc
src/gdb.ini
/var/

# Seccomp filter files.
lib-src/seccomp-filter.bpf
lib-src/seccomp-filter.pfc
lib-src/seccomp-filter-exec.bpf
lib-src/seccomp-filter-exec.pfc

# gsettings schema
/etc/*.gschema.valid

# Ignore directory made by admin/make-manuals.
/manual/

# Ignore Finder files on MacOS.
.DS_Store

# Ignore a directory used by dap-mode.
.vscode
/test/gmp.h

# GDB history
.gdb_history
_gdb_history

# Files ignored in exec/.
exec/aclocal.m4
exec/config.status
exec/loader
exec/test
exec/exec1
exec/deps/*
exec/aclocal.m4
exec/autom4te.cache
exec/config.h
exec/config.h.in
exec/config-mips.m4
exec/configure
exec/*.s.s
